package com.ztmap.project.zhny.strategytarget.service;

import java.util.List;
import com.ztmap.project.zhny.strategytarget.domain.TStrategyTarget;

/**
 * 目标Service接口
 * 
 * @author ztmap
 * @date 2023-10-11
 */
public interface ITStrategyTargetService 
{
    /**
     * 查询目标
     * 
     * @param id 目标ID
     * @return 目标
     */
    public TStrategyTarget selectTStrategyTargetById(Long id);

    /**
     * 查询目标列表
     * 
     * @param tStrategyTarget 目标
     * @return 目标集合
     */
    public List<TStrategyTarget> selectTStrategyTargetList(TStrategyTarget tStrategyTarget);

    /**
     * 新增目标
     * 
     * @param tStrategyTarget 目标
     * @return 结果
     */
    public int insertTStrategyTarget(TStrategyTarget tStrategyTarget);

    /**
     * 修改目标
     * 
     * @param tStrategyTarget 目标
     * @return 结果
     */
    public int updateTStrategyTarget(TStrategyTarget tStrategyTarget);

    /**
     * 批量删除目标
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTStrategyTargetByIds(String ids);

    /**
     * 删除目标信息
     * 
     * @param id 目标ID
     * @return 结果
     */
    public int deleteTStrategyTargetById(Long id);
}
